summaryrefslogtreecommitdiff
path: root/Biz/Ide/hooks/post-checkout.bash
diff options
context:
space:
mode:
Diffstat (limited to 'Biz/Ide/hooks/post-checkout.bash')
-rwxr-xr-xBiz/Ide/hooks/post-checkout.bash15
1 files changed, 15 insertions, 0 deletions
diff --git a/Biz/Ide/hooks/post-checkout.bash b/Biz/Ide/hooks/post-checkout.bash
new file mode 100755
index 0000000..73488b0
--- /dev/null
+++ b/Biz/Ide/hooks/post-checkout.bash
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+set -e
+mktags=${CODEROOT:?}/Biz/Ide/mktags
+old=$1
+new=$2
+# filter out only the changed haskell files
+changed=($(git diff --diff-filter=d --name-only $old $new -- '*.hs'))
+if [[ ! -r tags ]] || [[ ! -r TAGS ]]
+then
+ $mktags "$CODEROOT"/**/*
+elif [[ ${#changed[@]} -gt 0 ]]
+then
+ $mktags $changed
+fi
+direnv reload